Does Geronimo 2.1.8 run on JDK 1.7?

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Does Geronimo 2.1.8 run on JDK 1.7?

Fredrik Jonson-2
Hi,

As Oracle has declared End Of Public Updates for JDK 1.6, I now
find myself wondering if I can run Geronimo jetty-6 version 2.1.8
on Oracle JDK 1.7.

There is a issue open about the keystore GERONIMO-6440, apart
from that I can't find any objections, comments or known gotchas?

--
Fredrik Jonson

Reply | Threaded
Open this post in threaded view
|

Re: Does Geronimo 2.1.8 run on JDK 1.7?

Fredrik Jonson-2
Fredrik Jonson wrote:
 
>  As Oracle has declared End Of Public Updates for JDK 1.6, I now
>  find myself wondering if I can run Geronimo jetty-6 version 2.1.8
>  on Oracle JDK 1.7.

To answer my own question: Yes. At least the application i have deployed on
Geronimo 2.1.8 works, and it uses Servlets, WS, EJB, JPA, MDB, and a bit of
client corba.

--
Fredrik Jonson